---
title: RTCIceCandidatePair.remote
slug: Web/API/RTCIceCandidatePair/remote
tags:
  - API
  - Candidate
  - ICE
  - Negotiation
  - Pair
  - Property
  - RTCIceCandidatePair
  - Reference
  - Remote
  - WebRTC
  - WebRTC API
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>remote</strong></code> property of the <strong>{{domxref("RTCIceCandidatePair")}}</strong> dictionary specifies the {{domxref("RTCIceCandidate")}} describing the configuration of the remote end of a viable WebRTC connection.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>remoteCandidate</em> = <em>RTCIceCandidatePair</em>.remote;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCIceCandidate")}} which describes the configuration of the remote end of a viable pair of ICE candidates. The <code>RTCIceCandidatePair</code> is returned by the {{domxref("RTCIceTransport")}} method {{domxref("RTCIceTransport.getSelectedCandidatePair", "getSelectedCandidatePair()")}}.</p>

<h2 id="Example">Example</h2>

<p>This one-line example obtains the current candidate pair and then from that gets the remote candidate.</p>

<pre class="brush: js">var candidatePair = pc.getSenders()[0].transport.transport.getSelectedCandidatePair();
var remoteCandidate = candidatePair.remote;</pre>

<p>The {{domxref("RTCIceTransport")}} is found by getting the list of {{domxref("RTCRtpSender")}} objects for the {{domxref("RTCPeerConnection")}} <code>pc</code>. In the first <code>RTCRtpSender</code>, we get the {{domxref("RTCDtlsTransport")}} over which the media data is being transmitted and finally, from that, the <code>RTCIceTransport</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidatepair-remote', 'RTCIceCandidatePair.remote')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePair.remote")}}</p>
